[Ironruby-core] Compiling Ruby classes to assemblies for use with Unity3D (which uses Mono 1.2.4)

Asfand yar Qazi lists at ruby-forum.com
Mon Mar 21 17:40:44 EDT 2011


Asfand yar Qazi wrote in post #875250:
> 2009/12/22 Jb Evain <jb at nurv.fr>:
>> Hey,
>>
>> On 12/22/09, Asfand Yar Qazi <ayqazi at gmail.com> wrote:
>>>  I want to be able to use Ruby code in the Unity3D game engine, which
>>>  embeds GNU Mono 1.2.4 to provide support for various languages (a
>>>  ECMAScript-based language, Boo, and C# - they don't upgrade the
>>>  ancient Mono version to keep compatibility with games designed for
>>>  older versions of Unity3D).
>>
>> Mono 1.2.4 is most probably too old to support IronRuby and the DLR.
>
> Thanks for that, I can now stop chasing a pointless dream :)

Well, a long time has passed since I asked the previous question. 
Unity3D now uses GNU Mono 2.6, and I hope IronRuby has made progress 
too.

Is it now possible to compile Ruby files into assemblies to use with 
Unity3D's Mono 2.6?

Thank you for your help.  Regards,
      Asfand

-- 
Posted via http://www.ruby-forum.com/.


More information about the Ironruby-core mailing list